#!/bin/bash

# build all packages
for PKG in pkg/*; do
  # check if PKGBUILD exists, otherwise skip
  [ -f "${PKG}/PKGBUILD" ] || { echo "${PKG} does not contain a PKGBUILD file - skipping this directory!"; continue; }

  cd "${PKG}"     || exit

  aur build -c    || exit
  # makepkg -Ccsr || exit

  cd ../..        || exit
done

# push remote repository
arch-repo-push-new || exit
